# Create virtual IBAN

Creates a new virtual IBAN and attaches it to the account specified in the request.

Endpoint: POST /v1/accounts/{account_id}/virtual_ibans
Version: 1.0

## Path parameters:

  - `account_id` (string, required)

## Request fields (application/json):

  - `reference` (string, required)
    Partners must generate a reference for the vIBAN and supply it in this property. This property acts as an idempotency key and must be unique.
    Example: "f3757e7e-57ec-4e07-a3f1-7a5d1e412be7"

  - `customer_id` (string)
    Customer data related to the issued Virtual IBAN. Optional if partner configuration allows issuing vIBANs without customer.
    Example: "12312312cus"

  - `description` (string)
    A description of the vIBAN. Visible to the customer.
    Example: "Example description"

## Response 200 fields (*/*):

  - `id` (string)
    The ID of the created vIBAN.
    Example: "919325d2-cd99-4875-8935-542c36240ec3"

  - `virtual_iban` (string)
    The vIBAN created and assigned to the account.
    Example: "DE88110101013303512971"

  - `account_id` (string)
    ID of the account to which the vIBAN was assigned.
    Example: "8e98fe2c6b0df0cdeff56517494abbadcacc"

  - `reference` (string)
    Partner-generated reference for the created vIBAN.

## Response 201 fields (*/*):

  - `id` (string)
    The ID of the created vIBAN.
    Example: "919325d2-cd99-4875-8935-542c36240ec3"

  - `virtual_iban` (string)
    The vIBAN created and assigned to the account.
    Example: "DE88110101013303512971"

  - `account_id` (string)
    ID of the account to which the vIBAN was assigned.
    Example: "8e98fe2c6b0df0cdeff56517494abbadcacc"

  - `reference` (string)
    Partner-generated reference for the created vIBAN.

## Response 400 fields (*/*):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `code` (string)
    Example: "build_pagination_headers_failure"

  - `title` (string)
    Example: "Failed to build pagination headers"

  - `details` (string)
    Example: "Cannot authenticate the account"

## Response 403 fields (*/*):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "403"

  - `code` (string)
    Example: "unauthorized_action"

  - `title` (string)
    Example: "Unauthorized Action"

  - `detail` (string)
    Example: "Unauthorized action is not allowed."

## Response 500 fields (*/*):

  - `id` (string)
    Example: "e8915041-9d8c-4d96-9dd1-04e8522ecdbf"

  - `status` (string)
    Example: "500"

  - `code` (string)
    Example: "generic_error"

  - `title` (string)
    Example: "Generic Error"

  - `detail` (string)
    Example: "There was an error."


